package com.ym.controller;

import com.ym.service.ChatroomService;
import io.rong.models.chatroom.ChatroomModel;
import io.rong.models.response.ChatroomDemotionMsgResult;
import io.rong.models.response.ResponseResult;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

/**
 * Created by weiqinxiao on 2019/2/25.
 */
@RestController
@RequestMapping("/distribute")
public class DistributeController {

    @Autowired
    ChatroomService chatroomService;

    @RequestMapping(value = "/stop", method = RequestMethod.POST)
    public ResponseResult stop(@RequestBody ChatroomModel chatroomModel) throws Exception {
        return chatroomService.distributeStop(chatroomModel);
    }

    @RequestMapping(value = "/resume", method = RequestMethod.POST)
    public ResponseResult resume(@RequestBody ChatroomModel chatroomModel) throws Exception {
        return chatroomService.distributeResume(chatroomModel);
    }
}
