package com.ym.mec.web.service.impl;

import com.ym.mec.common.dal.BaseDAO;
import com.ym.mec.common.service.impl.BaseServiceImpl;
import com.ym.mec.web.dal.dao.CourseGroupDetailDao;
import com.ym.mec.web.dal.entity.CourseGroupDetail;
import com.ym.mec.web.service.CourseGroupDetailService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.List;

@Service
public class CourseGroupDetailServiceImpl extends BaseServiceImpl<Integer, CourseGroupDetail>  implements CourseGroupDetailService {
	
	@Autowired
	private CourseGroupDetailDao courseGroupDetailDao;

	@Override
	public BaseDAO<Integer, CourseGroupDetail> getDAO() {
		return courseGroupDetailDao;
	}

	@Override
	public void batchInsert(List<CourseGroupDetail> courseGroupDetails) {
		Date date = new Date();
		courseGroupDetails.forEach( e -> {
			e.setCreateTime(date);
			e.setUpdateTime(date);
			courseGroupDetailDao.insert(e);
		} );
	}
}